/*
 * Copyright (c) 2014 iSedora.com - All Rights Reserved
 * This file is part of iSedora Media Server software
 */

var basicAuth = require('basic-auth');

var log = require('./log');
var ifa = require('./ifa');
var cfg = require('./cfg');

exports.checkSSDP = function(face, from) {
  if (cfg.nicBlocked(face.name) || cfg.ipBlocked(from.addr)) {
    return false;
  }
  return true;
};

exports.localhostOnly = function(req, res, next) {
  return next();
  var ip = req.ip;
//  log.debug('ACL IP: (%s) %s', typeof ip, ip);
  if (ip != '127.0.0.1') {
    res.send(403);
  }
  else {
    next();
  }
};

exports.dlnaAuth = function(req, res, next) {

  var addr = req.socket.address();

  var ifname = ifa.ifName(addr.address);

  if (!ifname || cfg.nicBlocked(ifname) || cfg.ipBlocked(req.ip)) {
    log.warn('Access forbidden %s %s %s', req.ip, ifname, req.originalUrl);
    res.sendStatus(403);
    return;
  }

  next();

};

exports.filterDlnaFaces = function(faces) {
  var fary = [];
  for (var i = 0; i < faces.length; i++) {
    var face = faces[i];
    if (!cfg.nicBlocked(face.name)) {
      fary.push(face);
    }
  }
  return fary;
};

exports.checkFace = function(face) {
  return !cfg.nicBlocked(face.name);
};


exports.checkRequest = function(req, res) {
  return true;
};

function unauthorized(res) {
  res.set('WWW-Authenticate', 'Basic realm=Authorization Required');
  return res.send(401);
}

exports.adminAuth = function(req, res, next) {

  return next();

  var ip = req.ip;

  if (ifa.hasAddr(ip)) {
    return next();
  }
  else {
    return res.send(403);
  }

//  var user = basicAuth(req);
//
//  if (!user || !user.name || !user.pass) {
//    return unauthorized(res);
//  }
//
//  if (user.name === 'test' && user.pass === 'test') {
//    return next();
//  }
//
//  return unauthorized(res);

};