/*
 * Copyright (c) 2014 iSedora.com - All Rights Reserved
 * This file is part of iSedora Media Server software
 */

//------------------------------------------------------------------------------

var DEBUG     = '-debug';
var TRACE     = '-trace';
var STDUTF16  = '-stdutf16';

//------------------------------------------------------------------------------

function hasArg(name) {
  return process.argv.indexOf(name) !== -1;
}

//------------------------------------------------------------------------------

function getArg(name, defval) {
  var ix = process.argv.indexOf(name);
  if (ix !== -1 && ++ix < process.argv.length) {
    var val = process.argv[ix].trim();
    if (val.length > 0 && val.charAt(0) !== "-") {
      return val;
    }
  }
  return defval;
}

//------------------------------------------------------------------------------

exports.isDebug = function() {
  return hasArg(DEBUG);
};

exports.isTrace = function() {
  return hasArg(TRACE);
};

//------------------------------------------------------------------------------

exports.stdEncoding = function() {
  return hasArg(STDUTF16) ? 'utf16le' : 'utf8'
};
