/*
 * Copyright (c) 2014 iSedora.com - All Rights Reserved
 * This file is part of iSedora Media Server software
 */

'use strict';

exports.scale = function(w, h, maxw, maxh) {
  if (w < 0 || h < 0) { // PDFium hack. It only returns width
    return [maxw, maxh];
  }
  var nw, nh, r;
  if (w >= h) {
    r = w / h;
    nw = maxw;
    nh = Math.floor(nw / r);
    if (nh > maxh) {
      nh = maxh;
      nw = Math.floor(nh * r);
    }
  }
  else {
    r = h / w;
    nh = maxh;
    nw = Math.floor(nh / r);
    if (nw > maxw) {
      nw = maxw;
      nh = Math.floor(nw * r);
    }
  }
  return [nw, nh];
};
