/*
 * Copyright (c) 2014 iSedora.com - All Rights Reserved
 * This file is part of iSedora Media Server software
 */

exports.thousandSeparator = function(val) {

  if (typeof val !== 'number' || isNaN(val) || val < 1000) {
    return val;
  }

  return val.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");

};

exports.fileSizeStr = function(size) {

  var den = 1000.0;

  if (size < den) {
    return size + " bytes";
  }

  size /= den;

  if (size < den) return size.toFixed(2) + " KB";

  size = size / den;

  if (size < den) return size.toFixed(2) + " MB";

  size = size / den;

  if (size < den) return size.toFixed(2) + " GB";

  size = size / den;

  return size.toFixed(2) + " TB";

};

function dig2(val) {
  return (val < 10) ? "0" + val : val;
}

exports.dig2 = dig2;

function dig3(val) {
  if (val < 10) {
    return "00" + val;
  }
  else if (val < 100) {
    return "0" + val;
  }
  else {
    return val;
  }
}

exports.dig3 = dig3;

function timeStamp(time) {
  return dig2(time.getHours())   + ":" +
         dig2(time.getMinutes()) + ":" +
         dig2(time.getSeconds()) + "." +
         dig3(time.getMilliseconds());
}

exports.timeStamp = timeStamp;

//-----------------------------------------------------------------------------

exports.border = function(text) {
  return '----------------------------------------------------------------\n' +
         text +
         '\n----------------------------------------------------------------';
};

//-----------------------------------------------------------------------------

exports.uuidFromUDN = function(udn) {
  if (typeof udn === 'string' && udn.length > 0) {
    var ary = udn.split(':');
    if (ary[0] === 'uuid' && ary.length > 1) {
      return ary[1];
    }
  }
  return null;
};
