/*
 * Copyright (c) 2014 iSedora.com - All Rights Reserved
 * This file is part of iSedora Media Server software
 */

// Yep, change me you'll get free version. However, we love and trust our users. Thank you.

'use strict';

var request = require('request');

var evt = require('./evt');
var cfg = require('./cfg');
var log = require('./log');
var env = require('./env');

var START_TIME = Date.now();
var DEMO_TIME  = 3600 * 3;
var STOP_TIME  = START_TIME + (DEMO_TIME * 1000);

var lic;
var tmr;

function onTimer() {
  if (Date.now() >= STOP_TIME) {
    stopTimer();
    env.fatal('Demo version. Restart to continue evaluation.');
  }
}

function startTimer() {
  tmr = setInterval(onTimer, 1000);
}

function stopTimer() {
  if (tmr) {
    clearInterval(tmr);
    tmr = null;
  }
}

function checkLic() {
  stopTimer();
  if (lic.type < 0) {
    startTimer();
  }
}

function onConfigReady() {
  lic = cfg.getLic();
  lic.stop = STOP_TIME;
  checkLic();
}

function onConfigChange() {
  var type = lic.type;
  lic = cfg.getLic();
  if (lic.type !== type) {
    STOP_TIME = Date.now() + (DEMO_TIME * 1000);
  }
  lic.stop = STOP_TIME;
  checkLic();
}

exports.getLic = function() {
  return lic;
};

evt.onConfigReady(onConfigReady);
evt.onConfigChange(onConfigChange);