/*
 * Copyright (c) 2015 iSedora.com - All Rights Reserved
 * This file is part of iSedora Media Server software
 */

// Display notifications (Mac OS 10.9+)

'use strict';

var np  = require('path');
var chp = require('child_process');

var evt = require('../evt');
var env = require('../env');
var log = require('../log');
var cfg = require('../cfg');

var macValid = true;

//-----------------------------------------------------------------------------

function notifyMac(text) {
  if (!macValid) return;
  var bin = np.join(env.procDir, 'iSedoraNotify');
  chp.execFile(bin, ['iSedora 2', text], function(err, stdout, stderr) {
    if (err) {
      macValid = false;
      log.warn('Notify: %s', String(stderr).trim());
    }
  });
}

//-----------------------------------------------------------------------------

if (env.isMac()) {
  evt.onNotifyUser(function(text) {
    if (cfg.getNotify()) {
      setImmediate(notifyMac, text);
    }
  });
}


