/*
 * Copyright (c) 2014 iSedora.com - All Rights Reserved
 * This file is part of iSedora Media Server software
 */

// Restart manager

'use strict';

var evt = require('../evt');
var cfg = require('../cfg');
var log = require('../log');

var id = {
  serverName: 'serverName'
};

var watch = {};

function check(key, val) {
  if (watch[key] !== val) {
    watch[key] = val;
    return false;
  }
  return true;
}

function onConfigReady() {
  watch[id.serverName] = cfg.serverName();
}

function onConfigChange() {
  var soft = false;
  if (!check(id.serverName, cfg.serverName())) {
    soft = true;
  }
  if (soft) {
    log.debug('Soft restart');
    evt.postSoftRestart();
  }
}

evt.onConfigReady(onConfigReady);
evt.onConfigChange(onConfigChange);