/*
 * Copyright (c) 2014 iSedora.com - All Rights Reserved
 * This file is part of iSedora Media Server software
 */

'use strict';

var evt = require('../evt');
var env = require('../env');
var cfg = require('../cfg');
var pkg = require(ISEDORA_PKG);

var about = {
  name:      pkg.description,
  version:   pkg.version,
  author:    pkg.author,
  homepage:  pkg.homepage,
  email:     pkg.email,
  copyright: pkg.copyright,
  ismac:     env.isMac(),
  iswin:     env.isWin(),
  node:      process.version
};

evt.onConfigReady(function() {
  about.uuid    = cfg.uuid();
  about.osname  = cfg.osname();
  about.ostype  = cfg.ostype();
  about.iswinxp = cfg.isWinXP();
  about.osbits  = cfg.osbits();
  about.mybits  = cfg.mybits();
  about.isroot  = cfg.userIsRoot();
  about.user    = cfg.userFullName();
  about.lang    = cfg.lang();
  about.rest    = cfg.restPath();
  about.dlna    = cfg.dlnaPath();
  about.face    = cfg.facePath();
});

exports.data = about;