/*
 * Copyright (c) 2014 iSedora.com - All Rights Reserved
 * This file is part of iSedora Media Server software
 */

'use strict';

var evt = require('../evt');
var fop = require('../fop');
var cfg = require('../cfg');


function getDirSize(req, res) {

  var dir = req.param('dir');

  if (!dir || typeof dir !== 'string' || dir.length === 0) {
    res.status(400).send('Invalid dir parameter');
    return;
  }

  fop.folderSizeFast(dir, function(err, data) {
    if (err) {
      res.status(500).send(err.toString());
    }
    else {
      res.send(data);
    }
  });

}

evt.onHttpAppReady(function(app) {
  cfg.rest(app).get('/dirsize', getDirSize);
});
