/*
 * Copyright (c) 2014 iSedora.com - All Rights Reserved
 * This file is part of iSedora Media Server software
 */

'use strict';

var request = require('request');

var evt = require('../evt');
var cfg = require('../cfg');
var log = require('../log');

//-----------------------------------------------------------------------------

function licInfo(req, res) {

}

function licReg(req, res) {

  var key = req.param('key');
  var url = 'http://www.isedora.com/activate2.php?key=' + key + '&uuid=' + cfg.uuid();

  request(url, function(err, xhr, body) {

    if (err) {
      res.status(500).send(err.toString());
      return;
    }

    if (xhr.statusCode != 200) {
      if (!body) body = 'Fail to register. Remote operation error.';
      res.status(xhr.statusCode).send(body);
      return;
    }

    var type  = parseInt(xhr.headers['isedorapid'], 10);
    var stamp = parseInt(xhr.headers['isedorastamp'], 10);

    if (isNaN(type) || isNaN(stamp) || type < 0 || type > 2 || stamp < 0) {
      res.status(500).send('Invalid server response. Please contact support.');
      return;
    }

    cfg.setLic(key, type, stamp);

    cfg.saveSelf(true, function() {
      res.json({
        kye: key,
        type: type,
        stamp: stamp
      });
    });

  });

}

function licUnreg(req, res) {

  var key = req.param('key');
  var url = 'http://www.isedora.com/deactivate2.php?key=' + key;

  request(url, function(err, xhr, body) {

    if (err) {
      res.status(500).send(err.toString());
      return;
    }

    if (xhr.statusCode != 200) {
      if (!body) body = 'Fail to unregister. Remote operation error.';
      res.status(xhr.statusCode).send(body);
      return;
    }

    cfg.resetLic();

    cfg.saveSelf(true, function() {
      res.send(body);
    });

  });

}

//-----------------------------------------------------------------------------

evt.onHttpAppReady(function(app) {
  cfg.rest(app).get('/lic/info', licInfo);
  cfg.rest(app).get('/lic/reg', licReg);
  cfg.rest(app).get('/lic/unreg', licUnreg);
});
