/*
 * Copyright (c) 2014 iSedora.com - All Rights Reserved
 * This file is part of iSedora Media Server software
 */

'use strict';

var evt = require('../evt');
var cfg = require('../cfg');
var mdi = require('../dlna/mdi');
var rti = require('../rti');

function getInfo(req, res) {

  var fpath  = req.param('fpath');
  var index  = parseInt(req.param('index') || '0', 10);

  if (fpath === undefined) {
    res.status(400).send('Undefined file path argument');
    return;
  }

  if (isNaN(index) || index < 0) {
    res.status(400).send('Invalid index argument');
    return;
  }

  mdi.fileInfo(fpath, index, false, function(err, stat) {
    if (err) {
      res.status(500).send(env.err(err));
    }
    else {
      res.json(stat);
    }
  });

}

evt.onHttpAppReady(function(app) {
  cfg.rest(app).get('/minfo', getInfo);
});
